<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Relations\HasMany;

class Vendor extends BaseModel
{
    protected $table = 'vendors';
    protected $guarded = ['id'];

    public function certifications(): HasMany { return $this->hasMany(Certification::class); }
    public function ratings(): HasMany { return $this->hasMany(VendorRating::class); }
    public function invoices(): HasMany { return $this->hasMany(Invoice::class); }
}
